EllipseGraphics - Cesium Documentation

# EllipseGraphics

#### new EllipseGraphics(options)

  Describes an ellipse defined by a center point and semi-major and semi-minor axes. The ellipse conforms to the curvature of the globe and can be placed on the surface or at altitude and can optionally be extruded into a volume. The center point is determined by the containing `Entity`.

  Name | Type | Description
  --- | --- | ---

  `options`

  Object

  optional Object with the following properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `semiMajorAxis` | Property |  | optional The numeric Property specifying the semi-major axis.
  `semiMinorAxis` | Property |  | optional The numeric Property specifying the semi-minor axis.
  `height` | Property | `0` | optional A numeric Property specifying the altitude of the ellipse.
  `extrudedHeight` | Property |  | optional A numeric Property specifying the altitude of the ellipse extrusion.
  `show` | Property | `true` | optional A boolean Property specifying the visibility of the ellipse.
  `fill` | Property | `true` | optional A boolean Property specifying whether the ellipse is filled with the provided material.
  `material` | MaterialProperty | `Color.WHITE` | optional A Property specifying the material used to fill the ellipse.
  `outline` | Property | `false` | optional A boolean Property specifying whether the ellipse is outlined.
  `outlineColor` | Property | `Color.BLACK` | optional A Property specifying the `Color` of the outline.
  `outlineWidth` | Property | `1.0` | optional A numeric Property specifying the width of the outline.
  `numberOfVerticalLines` | Property | `16` | optional A numeric Property specifying the number of vertical lines to draw along the perimeter for the outline.
  `rotation` | Property | `0.0` | optional A numeric property specifying the rotation of the ellipse counter-clockwise from north.
  `stRotation` | Property | `0.0` | optional A numeric property specifying the rotation of the ellipse texture counter-clockwise from north.
  `granularity` | Property | `Cesium.Math.RADIANS_PER_DEGREE` | optional A numeric Property specifying the angular distance between points on the ellipse.

  ##### Demo:

  - Cesium Sandcastle Circles and Ellipses Demo
  Source: DataSources/EllipseGraphics.js, line 47

### Members

#### readonlydefinitionChanged :Event

  Gets the event that is raised whenever a property or sub-property is changed or modified.
  Source: DataSources/EllipseGraphics.js, line 89

#### extrudedHeight :Property

  Gets or sets the numeric Property specifying the altitude of the ellipse extrusion. Setting this property creates volume starting at height and ending at this altitude.
  Source: DataSources/EllipseGraphics.js, line 147

#### fill :Property

  Gets or sets the boolean Property specifying whether the ellipse is filled with the provided material.
  Default Value: `true`
  Source: DataSources/EllipseGraphics.js, line 171

#### granularity :Property

  Gets or sets the numeric Property specifying the angular distance between points on the ellipse.
  Default Value: `{CesiumMath.RADIANS_PER_DEGREE}`
  Source: DataSources/EllipseGraphics.js, line 155

#### height :Property

  Gets or sets the numeric Property specifying the altitude of the ellipse.
  Default Value: `0.0`
  Source: DataSources/EllipseGraphics.js, line 139

#### material :MaterialProperty

  Gets or sets the Property specifying the material used to fill the ellipse.
  Default Value: `Color.WHITE`
  Source: DataSources/EllipseGraphics.js, line 131

#### numberOfVerticalLines :Property

  Gets or sets the numeric Property specifying the number of vertical lines to draw along the perimeter for the outline.
  Default Value: `16`
  Source: DataSources/EllipseGraphics.js, line 203

#### outline :Property

  Gets or sets the Property specifying whether the ellipse is outlined.
  Default Value: `false`
  Source: DataSources/EllipseGraphics.js, line 179

#### outlineColor :Property

  Gets or sets the Property specifying the `Color` of the outline.
  Default Value: `Color.BLACK`
  Source: DataSources/EllipseGraphics.js, line 187

#### outlineWidth :Property

  Gets or sets the numeric Property specifying the width of the outline.
  Default Value: `1.0`
  Source: DataSources/EllipseGraphics.js, line 195

#### rotation :Property

  Gets or sets the numeric property specifying the rotation of the ellipse clockwise from north.
  Default Value: `0`
  Source: DataSources/EllipseGraphics.js, line 115

#### semiMajorAxis :Property

  Gets or sets the numeric Property specifying the semi-major axis.
  Source: DataSources/EllipseGraphics.js, line 100

#### semiMinorAxis :Property

  Gets or sets the numeric Property specifying the semi-minor axis.
  Source: DataSources/EllipseGraphics.js, line 107

#### show :Property

  Gets or sets the boolean Property specifying the visibility of the ellipse.
  Default Value: `true`
  Source: DataSources/EllipseGraphics.js, line 123

#### stRotation :Property

  Gets or sets the numeric property specifying the rotation of the ellipse texture counter-clockwise from north.
  Default Value: `0`
  Source: DataSources/EllipseGraphics.js, line 163

### Methods

#### clone(result) → EllipseGraphics

  Duplicates this instance.

  Name | Type | Description
  --- | --- | ---
  `result` | EllipseGraphics | optional The object onto which to store the result.

  ##### Returns:

  The modified result parameter or a new instance if one was not provided.
  Source: DataSources/EllipseGraphics.js, line 212

#### merge(source)

  Assigns each unassigned property on this object to the value of the same property on the provided source object.

  Name | Type | Description
  --- | --- | ---
  `source` | EllipseGraphics | The object to be merged into this object.

  Source: DataSources/EllipseGraphics.js, line 239